Bug 848337 - SELinux is preventing /usr/sbin/httpd from 'execute_no_trans' accesses on the file /usr/share/lightsquid/cgi/index.cgi.
SELinux is preventing /usr/sbin/httpd from 'execute_no_trans' accesses on the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3f11ab5131fa8cdf6eeabc50fa8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 05:46 EDT by Deepak Mahajan
Modified: 2013-02-13 13:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:56:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deepak Mahajan 2012-08-15 05:46:41 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-1.fc16.x86_64
time:           Wednesday 15 August 2012 03:12:56 PM IST

description:
:SELinux is preventing /usr/sbin/httpd from 'execute_no_trans' accesses on the file /usr/share/lightsquid/cgi/index.cgi.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore httpd trying to execute_no_trans access the index.cgi file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/sbin/httpd /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that httpd should be allowed execute_no_trans access on the index.cgi file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                system_u:object_r:usr_t:s0
:Target Objects                /usr/share/lightsquid/cgi/index.cgi [ file ]
:Source                        httpd
:Source Path                   /usr/sbin/httpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           httpd-2.2.22-2.fc16.x86_64
:Target RPM Packages           lightsquid-apache-1.8-11.fc15.noarch
:Policy RPM                    selinux-policy-3.10.0-90.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.2-1.fc16.x86_64 #1
:                              SMP Thu Jun 14 20:17:26 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wednesday 15 August 2012 03:11:24 PM IST
:Last Seen                     Wednesday 15 August 2012 03:11:24 PM IST
:Local ID                      087b4b2b-ecdb-4408-96bc-9d43ff9f6b11
:
:Raw Audit Messages
:type=AVC msg=audit(1345023684.937:6985): avc:  denied  { execute_no_trans } for  pid=5016 comm="httpd" path="/usr/share/lightsquid/cgi/index.cgi" dev="dm-1" ino=272113 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1345023684.937:6985): arch=x86_64 syscall=execve success=no exit=EACCES a0=7fa15dbc7368 a1=7fa15dbcfe58 a2=7fa15dbcbee8 a3=7fff5dc01e90 items=0 ppid=4767 pid=5016 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: httpd,httpd_t,usr_t,file,execute_no_trans
:
:audit2allow
:
:#============= httpd_t ==============
:allow httpd_t usr_t:file execute_no_trans;
:
:audit2allow -R
:
:#============= httpd_t ==============
:allow httpd_t usr_t:file execute_no_trans;
:
Comment 1 Daniel Walsh 2012-08-15 06:39:38 EDT
chcon -t httpd_sys_script_exec_t /usr/share/lightsquid/cgi/index.cgi

Will get this working for now.
Comment 2 Daniel Walsh 2012-08-15 06:42:14 EDT
Or even better

httpd_squid_script_exec_t
Comment 3 Miroslav Grepl 2012-08-20 04:07:02 EDT
It looks like this is not a default location for lightsquid cgi scripts.

What does

# rpm -qf /usr/share/lightsquid/cgi
Comment 4 Fedora End Of Life 2013-01-16 10:47:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:56:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.